Package org.drinkless.tdlib

# Class TdApi.ChatMemberStatusCreator

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMemberStatus
org.drinkless.tdlib.TdApi.ChatMemberStatusCreator

Enclosing class:
  TdApi

public static class TdApi.ChatMemberStatusCreator extends TdApi.ChatMemberStatus
The user is the owner of the chat and has all the administrator privileges.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatMemberStatus

  `TdApi.ChatMemberStatus.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `customTitle`
  A custom title of the owner; 0-16 characters without emoji; applicable to supergroups only.
  `boolean`
  `isAnonymous`
  True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.
  `boolean`
  `isMember`
  True, if the user is a member of the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMemberStatusCreator()`
  The user is the owner of the chat and has all the administrator privileges.
  `ChatMemberStatusCreator(String customTitle, boolean isAnonymous, boolean isMember)`
  The user is the owner of the chat and has all the administrator privileges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### customTitle

    public String customTitle
    A custom title of the owner; 0-16 characters without emoji; applicable to supergroups only.

  - ### isAnonymous

    public boolean isAnonymous
    True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

  - ### isMember

    public boolean isMember
    True, if the user is a member of the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMemberStatusCreator

    public ChatMemberStatusCreator()
    The user is the owner of the chat and has all the administrator privileges.

  - ### ChatMemberStatusCreator

    public ChatMemberStatusCreator(String customTitle, boolean isAnonymous, boolean isMember)
    The user is the owner of the chat and has all the administrator privileges.
    Parameters:
      `customTitle` - A custom title of the owner; 0-16 characters without emoji; applicable to supergroups only.
      `isAnonymous` - True, if the creator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.
      `isMember` - True, if the user is a member of the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatMemberStatus`
    Returns:
      this.CONSTRUCTOR